### Hierarchy

- unknown
  - SignedWitnessStore

## Index

### Constructors

- constructor

### Methods

- addItems
- clearItemsList
- getItemsList
- serializeBinary
- setItemsList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new SignedWitnessStore(): SignedWitnessStore

- Inherited from jspb.Message.constructor

  #### Returns SignedWitnessStore

## Methods

### addItems

- addItems(value?: SignedWitness, index?: number): SignedWitness

- - Defined in src/protobuf/pb_pb.d.ts:6178

  #### Parameters

  - ##### Optional value: SignedWitness

  - ##### Optional index: number

  #### Returns SignedWitness

### clearItemsList

- clearItemsList(): SignedWitnessStore

- - Defined in src/protobuf/pb_pb.d.ts:6177

  #### Returns SignedWitnessStore

### getItemsList

- getItemsList(): SignedWitness []

- - Defined in src/protobuf/pb_pb.d.ts:6175

  #### Returns SignedWitness []

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:6180

  #### Returns Uint8Array

### setItemsList

- setItemsList(value: SignedWitness []): SignedWitnessStore

- - Defined in src/protobuf/pb_pb.d.ts:6176

  #### Parameters

  - ##### value: SignedWitness []

  #### Returns SignedWitnessStore

### toObject

- toObject(includeInstance?: boolean): SignedWitnessStore . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6181

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns SignedWitnessStore . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): SignedWitnessStore

- - Defined in src/protobuf/pb_pb.d.ts:6184

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SignedWitnessStore

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SignedWitnessStore, reader: BinaryReader): SignedWitnessStore

- - Defined in src/protobuf/pb_pb.d.ts:6185

  #### Parameters

  - ##### message: SignedWitnessStore

  - ##### reader: BinaryReader

  #### Returns SignedWitnessStore

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: SignedWitnessStore, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:6183

  #### Parameters

  - ##### message: SignedWitnessStore

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: SignedWitnessStore ): SignedWitnessStore . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6182

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SignedWitnessStore

  #### Returns SignedWitnessStore . AsObject

Generated using TypeDoc